function $(id)
{
  return document.getElementById(id);
}

var HAUTEUR_CHIFFRE = 46;
var HAUT_NOMBRES    = 69;

var nombre = 0;
var position = HAUT_NOMBRES;
var destination = 0;
var interval;

function init()
{
  var decimales = "";
  var hexadecimales = "";
  for (var i = 0; i < 256; i++) {
    var dec = "" + (i < 10 ? "0" : "") + (i < 100 ? "0" : "") + i + " ";
    var hex = "" + (i < 16 ? "0" : "") + i.toString(16) + " "
    decimales += "<span>" + dec.charAt(0) + "</span><span>" + dec.charAt(1) + "</span><span>" + dec.charAt(2) + "</span><br>";
    hexadecimales += "<span>" + hex.charAt(0) + "</span><span>" + hex.charAt(1) + "</span><br>";
  }
  $("decimales").innerHTML = decimales;
  $("hexadecimales").innerHTML = hexadecimales;
}
init();

function animer()
{
  var delta = destination - position;
  var increment = delta / 2;
  position += increment;
  $("decimales").style.top = position + "px";
  $("hexadecimales").style.top = position + "px";
  if (Math.abs(delta) < 0.1) {
    clearInterval(interval);
    interval = null;
  }
}

function changerNombre(increment)
{
  nombre += increment;
  if (nombre < 0)
    nombre = 0;
  if (nombre > 255)
    nombre = 255;
  destination = HAUT_NOMBRES - nombre * HAUTEUR_CHIFFRE;
  if (destination != position && !interval)
    interval = setInterval(animer, 10);
  return false;
}
