#!/bin/bash

# Utilisation :
# 1. Éditer le fichier codes.html et y placer les exemples de code HTML utilisés dans le tutoriel
# 2. Utiliser la fonction "Fichier -> Exporter en HTML..." de KWrite sur un fichier de code source
# 3. Enregistrez l'export HTML dans le fichier codes.html.html
# 4. Lancer ce script
# 5. Ouvrir le fichier codes.html.txt et récupérer les parties de codes maintenant surlignées

cp codes.html.html codes.html.txt

for i in [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20]
do
  sed -i codes.html.txt -e "s/<span style=\"font-weight: bold;color: #800000;\">/<span class=\"dt\">/"
  sed -i codes.html.txt -e "s/<span style=\"font-style: italic;color: #808080;\">/<span class=\"cm\">/"
  sed -i codes.html.txt -e "s/<span style=\"font-weight: bold;color: #000000;\">/<span class=\"mc\">/"
  sed -i codes.html.txt -e "s/<span style=\"color: #008000;\">/<span class=\"pa\">/"
  sed -i codes.html.txt -e "s/<span style=\"color: #800000;\">/<span class=\"va\">/" # Valeur CSS
  sed -i codes.html.txt -e "s/<span style=\"color: #aa0000;\">/<span class=\"va\">/" # Valeur HTML
  sed -i codes.html.txt -e "s/<span style=\"color: #0000ff;\">/<span class=\"pc\">/"
  sed -i codes.html.txt -e "s/<span style=\"font-weight: bold;color: #800080;\">/<span class=\"id\">/"
  sed -i codes.html.txt -e "s/<span style=\"color: #800080;\">/<span class=\"cl\">/"
  sed -i codes.html.txt -e "s/<span style=\"color: #dd0000;\">/<span class=\"ch\">/"
  sed -i codes.html.txt -e "s/<span style=\"color: #000000;\">/<span>/"

  # Supprimer les <span> inutiles :
  # Ça fonctionne car KWrite n'imbrique pas les <span> :
  sed -i codes.html.txt -r -e "s/<span>([^<]*)<\/span>/\\1/"
done
